My Project: dComplemtaritySolver::dBodyState Class Reference

My Project

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
dComplemtaritySolver::dBodyState Class Reference

`#include <dLinearAlgebra.h>`

## Public Member Functions

| dBodyState ()
virtual | ~dBodyState ()
dFloat | GetMass () const
void | SetMass (dFloat mass)
dFloat | GetInvMass () const
void | SetInertia (dFloat Ixx, dFloat Iyy, dFloat Izz)
void | GetInertia (dFloat &Ixx, dFloat &Iyy, dFloat &Izz) const
void | SetVeloc (const dVector &veloc)
void | SetOmega (const dVector &omega)
const dVector & | GetOmega () const
const dVector & | GetVelocity () const
void | UpdateInertia ()
void | SetMatrix (const dMatrix &matrix)
const dMatrix & | GetMatrix () const
void | SetLocalMatrix (const dMatrix &matrix)
const dMatrix & | GetLocalMatrix () const
void | SetForce (const dVector &force)
void | SetTorque (const dVector &torque)
const dVector & | GetForce () const
const dVector & | GetTorque () const
const dVector & | GetCenterOfMass () const
void | IntegrateVelocity (dFloat timestep)

## Protected Member Functions

virtual void | IntegrateForce (dFloat timestep, const dVector &force, const dVector &torque)
virtual void | ApplyNetForceAndTorque (dFloat invTimestep, const dVector &veloc, const dVector &omega)

## Protected Attributes

dMatrix | m_matrix
dMatrix | m_localFrame
dMatrix | m_inertia
dMatrix | m_invInertia
dVector | m_localInertia
dVector | m_localInvInertia
dVector | m_veloc
dVector | m_omega
dVector | m_externalForce
dVector | m_externalTorque
dVector | m_globalCentreOfMass
dFloat | m_mass
dFloat | m_invMass
int | m_myIndex

## Friends

class | dBilateralJoint
class | dComplemtaritySolver

## Constructor & Destructor Documentation

## § dBodyState()

dComplemtaritySolver::dBodyState::dBodyState | ( |  | ) |

## § ~dBodyState()

virtual dComplemtaritySolver::dBodyState::~dBodyState | ( |  | ) |

inlinevirtual

## Member Function Documentation

## § ApplyNetForceAndTorque()

void dComplemtaritySolver::dBodyState::ApplyNetForceAndTorque | ( | dFloat | invTimestep,
|  | const dVector & | veloc,
|  | const dVector & | omega
| ) |  |

protectedvirtual

## § GetCenterOfMass()

const dVector & dComplemtaritySolver::dBodyState::GetCenterOfMass | ( |  | ) | const

## § GetForce()

const dVector & dComplemtaritySolver::dBodyState::GetForce | ( |  | ) | const

## § GetInertia()

void dComplemtaritySolver::dBodyState::GetInertia | ( | dFloat & | Ixx,
|  | dFloat & | Iyy,
|  | dFloat & | Izz
| ) |  | const

## § GetInvMass()

dFloat dComplemtaritySolver::dBodyState::GetInvMass | ( |  | ) | const

## § GetLocalMatrix()

const dMatrix & dComplemtaritySolver::dBodyState::GetLocalMatrix | ( |  | ) | const

## § GetMass()

dFloat dComplemtaritySolver::dBodyState::GetMass | ( |  | ) | const

## § GetMatrix()

const dMatrix & dComplemtaritySolver::dBodyState::GetMatrix | ( |  | ) | const

## § GetOmega()

const dVector & dComplemtaritySolver::dBodyState::GetOmega | ( |  | ) | const

## § GetTorque()

const dVector & dComplemtaritySolver::dBodyState::GetTorque | ( |  | ) | const

## § GetVelocity()

const dVector & dComplemtaritySolver::dBodyState::GetVelocity | ( |  | ) | const

## § IntegrateForce()

void dComplemtaritySolver::dBodyState::IntegrateForce | ( | dFloat | timestep,
|  | const dVector & | force,
|  | const dVector & | torque
| ) |  |

protectedvirtual

## § IntegrateVelocity()

void dComplemtaritySolver::dBodyState::IntegrateVelocity | ( | dFloat | timestep | ) |

## § SetForce()

void dComplemtaritySolver::dBodyState::SetForce | ( | const dVector & | force | ) |

## § SetInertia()

void dComplemtaritySolver::dBodyState::SetInertia | ( | dFloat | Ixx,
|  | dFloat | Iyy,
|  | dFloat | Izz
| ) |  |

## § SetLocalMatrix()

void dComplemtaritySolver::dBodyState::SetLocalMatrix | ( | const dMatrix & | matrix | ) |

## § SetMass()

void dComplemtaritySolver::dBodyState::SetMass | ( | dFloat | mass | ) |

## § SetMatrix()

void dComplemtaritySolver::dBodyState::SetMatrix | ( | const dMatrix & | matrix | ) |

## § SetOmega()

void dComplemtaritySolver::dBodyState::SetOmega | ( | const dVector & | omega | ) |

## § SetTorque()

void dComplemtaritySolver::dBodyState::SetTorque | ( | const dVector & | torque | ) |

## § SetVeloc()

void dComplemtaritySolver::dBodyState::SetVeloc | ( | const dVector & | veloc | ) |

## § UpdateInertia()

void dComplemtaritySolver::dBodyState::UpdateInertia | ( |  | ) |

## Friends And Related Function Documentation

## § dBilateralJoint

friend class dBilateralJoint

friend

## § dComplemtaritySolver

friend class dComplemtaritySolver

friend

## Member Data Documentation

## § m_externalForce

dVector dComplemtaritySolver::dBodyState::m_externalForce

protected

## § m_externalTorque

dVector dComplemtaritySolver::dBodyState::m_externalTorque

protected

## § m_globalCentreOfMass

dVector dComplemtaritySolver::dBodyState::m_globalCentreOfMass

protected

## § m_inertia

dMatrix dComplemtaritySolver::dBodyState::m_inertia

protected

## § m_invInertia

dMatrix dComplemtaritySolver::dBodyState::m_invInertia

protected

## § m_invMass

dFloat dComplemtaritySolver::dBodyState::m_invMass

protected

## § m_localFrame

dMatrix dComplemtaritySolver::dBodyState::m_localFrame

protected

## § m_localInertia

dVector dComplemtaritySolver::dBodyState::m_localInertia

protected

## § m_localInvInertia

dVector dComplemtaritySolver::dBodyState::m_localInvInertia

protected

## § m_mass

dFloat dComplemtaritySolver::dBodyState::m_mass

protected

## § m_matrix

dMatrix dComplemtaritySolver::dBodyState::m_matrix

protected

## § m_myIndex

int dComplemtaritySolver::dBodyState::m_myIndex

protected

## § m_omega

dVector dComplemtaritySolver::dBodyState::m_omega

protected

## § m_veloc

dVector dComplemtaritySolver::dBodyState::m_veloc

protected

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/packages/dMath/dLinearAlgebra.h
- dynamics.mod/NewtonDynamics/packages/dMath/dLinearAlgebra.cpp